I am Hack Sparrow
Captain of the Internets.

Node.js compilation error on Ubuntu – Install using apt-get

This post this written for people who will encounter this mysterious Node.js compilation error. [code] *** glibc detected *** /usr/lib/gcc/i686-linux-gnu/4.6.1/cc1plus: malloc(): smallbin double linked list corrupted: 0x0a4a0eb8 *** ... /home/$USER/Downloads/node-v0.6.15/deps/v8/src/ia32/lithium-ia32.cc: In member function 'int v8::internal::HTemplateInstruction::OperandCount() [with int V = 2]': /home/$USER/Downloads/node-v0.6.15/deps/v8/src/ia32/lithium-ia32.cc:2265:3: internal compi ...

Install MongoDB on Ubuntu

Having a tough time trying to install MongoDB on Ubuntu? This post will show you how to get MongoDB running on your Ubuntu box. Instead of compiling from source, we will be installing MongoDB using apt-get. Compiling MongoDB is a pain in the ass with all its very specific dependencies, so I personally prefer installing the compiled binary. There are two MongoDB packages available for you to choose from - mongodb and mongodb-10gen. T ...

How to install Node.js on Ubuntu Linux

Although there is an official Linux installation documentation, and an unofficial installation script to help you install Node.js on Linux systems, things generally don't go smoothly or reliably. I will show you the core basics of installing Node.js on an Ubuntu system. These instructions will be immensely helpful if it is a Freshly installed Ubuntu system. Fi ...

Nodejs Error: Could not autodetect OpenSSL support

So you are ready to install Node on your Ubuntu box and run ./configure, to which you are greeted by a nasty looking error: [code] "Could not autodetect OpenSSL support. Make sure OpenSSL development packages are installed. Use configure --without-ssl to disable this message." [/code] You know damn well OpenSSL is installed on the system, but why is ./configure failing to find it? ./configure ...

Ubuntu: how to install easy_install

So you need easy_install for something on Ubuntu? Installing it is very easy, just follow the instructions below. [code] $ sudo apt-get install python-setuptools [/code] And that's it! Yes, that's all you need to do and you will have easy_install available at the command prompt. In case you are wondering, easy_install is a Python module which comes as a part of the Python se ...